class Avisos {
  Avisos({
    this.result,
    this.response,
    this.message,
  });

  List<Result>? result;
  bool? response;
  String? message;

  factory Avisos.fromJson(Map<String, dynamic> json) => Avisos(
    result: List<Result>.from(json["result"].map((x) => Result.fromJson(x))),
    response: json["response"],
    message: json["message"],
  );

  Map<String, dynamic> toJson() => {
    "result": List<dynamic>.from(result!.map((x) => x.toJson())),
    "response": response,
    "message": message,
  };
}

class Result {
  Result({
    this.idav,
    this.feci,
    this.hori,
    this.titu,
    this.leido,
  });

  String? idav;
  String? feci;
  String? hori;
  String? titu;
  bool? leido;

  factory Result.fromJson(Map<String, dynamic> json) => Result(
    idav: json["IDAV"],
    feci: json["FECI"],
    hori: json["HORI"],
    titu: json["TITU"],
    leido: json["leido"],
  );

  Map<String, dynamic> toJson() => {
    "IDAV": idav,
    "FECI": feci,
    "HORI": hori,
    "TITU": titu,
    "leido": leido,
  };
}
